Bug 483726 - Review Request: smp_utils - Utilities for SAS management protocol (SMP)
Review Request: smp_utils - Utilities for SAS management protocol (SMP)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 06:27 EST by Dan Horák
Modified: 2014-12-08 08:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 13:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2009-02-03 06:27:33 EST
Spec URL: http://fedora.danny.cz/smp_utils.spec
SRPM URL: http://fedora.danny.cz/smp_utils-0.94-1.fc11.src.rpm

Description:
This is a package of utilities. Each utility sends a Serial Attached
SCSI (SAS) Management Protocol (SMP) request to a SMP target.
If the request fails then the error is decoded. If the request succeeds
then the response is either decoded, printed out in hexadecimal or
output in binary. This package supports multiple interfaces since
SMP passthroughs are not mature. This package supports the linux
2.4 and 2.6 series and should be easy to port to other operating
systems.
Comment 1 Jason Tibbitts 2009-03-07 15:25:55 EST
Builds fine and rpmlint is silent.

I won't ask you about the upstream status of the patch since you seem to be upstream.

Please use a proper build root.  At minimum it needs to reference %{release}.

Really, that's the only issue I see, and I'm happy to just let you fix it up when you import the package.

* source files match upstream.  sha256sum:
   e386fa84e8ec86d252c0fa152cd3fce559d05c6e31b9309d7740bd5a7d88c04d  
   smp_utils-0.94.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
X build root is incorrect.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   smp_utils = 0.94-1.fc11
   smp_utils(x86-64) = 0.94-1.fc11
  =
   (none)

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Jason Tibbitts 2009-03-07 15:27:08 EST
I neglected to mention that I was not able to test this at all since I have no SAS hardware handy.  I'm sure other prospective reviewers would have the same issue.
Comment 3 manuel wolfshant 2009-03-07 16:05:18 EST
Just wondering: any idea why a ppc64 package is not built in koji/EL4 ? http://koji.fedoraproject.org/koji/taskinfo?taskID=1229077


I tried to test the EL4/i386 package, but none of the tested programs worked for me. However, as I am using a very very non standard kernel on the only box equipped with SAS, this is not an indication of failure of the program, could be just an incompatibility with my kernel. Or my lack of understanding the correct usage...

[root@router bin]# ./smp_phy_test          /dev/sda
smp_initiator_open: failed to open /dev/sda
[root@router bin]# hdparm -I /dev/sda

/dev/sda:

ATA device, with non-removable media
        Model Number:       HITACHI HDS7280SASUN82G  0610LZMV1N
        Serial Number:      PFDB32S7RZMV1N
        Firmware Revision:  PF2OA66A

It is the standard disk supplied with Sun's X2100 and as far as I know it is SAS.
Comment 4 Dan Horák 2009-03-08 12:17:08 EDT
(In reply to comment #1)
> Builds fine and rpmlint is silent.
> 
> I won't ask you about the upstream status of the patch since you seem to be
> upstream.

No, I am only providing part of my web space to Douglas Gilbert who is the upstream. But the patch was already accepted by him.
 
> Please use a proper build root.  At minimum it needs to reference %{release}.

Oh, that's my omission when I was adapting the upstream spec file.
 
> Really, that's the only issue I see, and I'm happy to just let you fix it up
> when you import the package.

Yes, I will update it before importing.
 
> The package review process needs reviewers!  If you haven't done any package
> reviews recently, please consider doing one.  

Well, I have fulfilled my quota for this week with 5 finished reviews :-)

Thanks for the review.
Comment 5 Dan Horák 2009-03-08 12:30:53 EDT
(In reply to comment #3)
> Just wondering: any idea why a ppc64 package is not built in koji/EL4 ?
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1229077

ppc64 variant of EL (both 4 and 5) wasn't released, ppc machines defaults to 32-bit userspace
 
> I tried to test the EL4/i386 package, but none of the tested programs worked
> for me. However, as I am using a very very non standard kernel on the only box
> equipped with SAS, this is not an indication of failure of the program, could
> be just an incompatibility with my kernel. Or my lack of understanding the
> correct usage...

I can only suggest http://sg.danny.cz/sg/smp_utils.html for more information.
Comment 6 Dan Horák 2009-03-08 12:33:08 EDT
New Package CVS Request
=======================
Package Name: smp_utils
Short Description: Utilities for SAS management protocol (SMP)
Owners: sharkcz
Branches: F-9 F-10 EL-4 EL-5
Comment 7 Kevin Fenzi 2009-03-09 12:08:48 EDT
cvs done.
Comment 8 Dan Horák 2009-03-09 13:58:18 EDT
imported and built
Comment 9 Dan Horák 2014-12-06 11:44:48 EST
Package Change Request
======================
Package Name: smp_utils
New Branches: epel7
Owners: sharkcz
Comment 10 Gwyn Ciesla 2014-12-08 08:37:08 EST
Branch exists.

Note You need to log in before you can comment on or make changes to this bug.